package main

import (
	"fmt"
	"net"
)

type Server struct {
	Conns []*Client
	Port  uint32
}

func (s *Server) Run() error {
	listener, err := net.Listen("tcp", fmt.Sprintf(":%04d", s.Port))
	if err != nil {
		return err
	}
	for {
		conn, err := listener.Accept()
		if err != nil {
			return err
		}
		s.Conns = append(s.Conns, NewClient(s, conn))
	}
}
