package main

import (
	"log"
	"net"
	"time"
)

type ID uint64

func Drain(conn net.Conn, drain int) {
	conn.SetReadDeadline(time.Now().Add(time.Second * time.Duration(drain)))
	var buff []byte = make([]byte, 32)
	var n int
	var err error
	n, err = conn.Read(buff)
	if n > 0 {
		log.Printf("Drained %d bytes [%#v].\n", n, buff[:n])
	}
	if err != nil {
		log.Println("Drain:", err)
	}
	conn.SetReadDeadline(time.Time{})
}
